App\Entity\AchatConsignationProduit:
    type: entity
    table: achat_consignation_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: float
            nullable: false
        note:
            type: text
            nullable: true
    manyToOne:
        achatProduit:
            targetEntity: AchatProduit
            cascade: {  }
            mappedBy: null
            inversedBy: consignations
            joinColumns:
                achat_produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        achatConsignation:
            targetEntity: AchatConsignation
            cascade: [persist]
            mappedBy: null
            inversedBy: consignations
            joinColumns:
                achat_consignation_id:
                    referencedColumnName: id
            orphanRemoval: false